import { DataState, FieldInfo } from 'model-util-base';
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-09-15 11:36
 */
export interface MonitorHistory {
    /**
    * 主键
    * @type { string }
    */
    id?: string;
    /**
    * 模板id
    * @type { string }
    */
    templateId?: string;
    /**
    * 规则设置id
    * @type { string }
    */
    settingId?: string;
    /**
    * 实际告警值
    * @type { string }
    */
    actualAlertValue?: string;
    /**
    * 实际告警值单位
    * @type { string }
    */
    actualAlertValueUnit?: string;
    /**
    * 告警时间
    * @type { Date }
    */
    alertTime?: Date;
    /**
    * 报警级别
    * @type { string }
    */
    alarmLevel?: string;
    /**
    * 是否已通知
    * @type { boolean }
    */
    notified?: boolean;
    /**
    * create_time
    * @type { Date }
    */
    createTime?: Date;
    /**
    * update_time
    * @type { Date }
    */
    updateTime?: Date;
    /**
    * 日志类型（MMS-中台；FMS-前台；SMS-独立服务）
    * @type { string }
    */
    msType?: string;
}
export declare class MonitorHistoryMI {
    static get ID(): FieldInfo;
    static get TEMPLATE_ID(): FieldInfo;
    static get SETTING_ID(): FieldInfo;
    static get ACTUAL_ALERT_VALUE(): FieldInfo;
    static get ACTUAL_ALERT_VALUE_UNIT(): FieldInfo;
    static get ALERT_TIME(): FieldInfo;
    static get ALARM_LEVEL(): FieldInfo;
    static get NOTIFIED(): FieldInfo;
    static get CREATE_TIME(): FieldInfo;
    static get UPDATE_TIME(): FieldInfo;
    static get MS_TYPE(): FieldInfo;
}
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-09-15 11:36
 */
export interface MonitorHistoryContactRel {
    /**
    * 主键
    * @type { string }
    */
    id?: string;
    /**
    * 告警历史id
    * @type { string }
    */
    historyId?: string;
    /**
    * 联系组id
    * @type { string }
    */
    contactGroupId?: string;
    /**
    * create_time
    * @type { Date }
    */
    createTime?: Date;
    /**
    * update_time
    * @type { Date }
    */
    updateTime?: Date;
}
export declare class MonitorHistoryContactRelMI {
    static get ID(): FieldInfo;
    static get HISTORY_ID(): FieldInfo;
    static get CONTACT_GROUP_ID(): FieldInfo;
    static get CREATE_TIME(): FieldInfo;
    static get UPDATE_TIME(): FieldInfo;
}
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-09-15 11:36
 */
export interface MonitorContactGroup {
    /**
    * 主键
    * @type { string }
    */
    id?: string;
    /**
    * 分组名
    * @type { string }
    */
    groupName?: string;
    /**
    * 备注
    * @type { string }
    */
    remark?: string;
    /**
    * deleted
    * @type { boolean }
    */
    deleted?: boolean;
    /**
    * create_time
    * @type { Date }
    */
    createTime?: Date;
    /**
    * update_time
    * @type { Date }
    */
    updateTime?: Date;
}
export declare class MonitorContactGroupMI {
    static get ID(): FieldInfo;
    static get GROUP_NAME(): FieldInfo;
    static get REMARK(): FieldInfo;
    static get DELETED(): FieldInfo;
    static get CREATE_TIME(): FieldInfo;
    static get UPDATE_TIME(): FieldInfo;
}
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-09-15 11:36
 */
export interface MonitorContactGroupRel {
    /**
    * 主键
    * @type { string }
    */
    id?: string;
    /**
    * 联系人id
    * @type { string }
    */
    contactId?: string;
    /**
    * 联系组id
    * @type { string }
    */
    groupId?: string;
    /**
    * deleted
    * @type { boolean }
    */
    deleted?: boolean;
    /**
    * create_time
    * @type { Date }
    */
    createTime?: Date;
    /**
    * update_time
    * @type { Date }
    */
    updateTime?: Date;
    /**
    * extend field in SysUser
    * 电话
    * @type { string }
    */
    contactPhone?: string;
    /**
    * 数据状态
    * @type { DataState }
    */
    _state?: DataState;
}
export declare class MonitorContactGroupRelMI {
    static get ID(): FieldInfo;
    static get CONTACT_ID(): FieldInfo;
    static get GROUP_ID(): FieldInfo;
    static get DELETED(): FieldInfo;
    static get CREATE_TIME(): FieldInfo;
    static get UPDATE_TIME(): FieldInfo;
    static get CONTACT_PHONE(): FieldInfo;
}
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-09-15 11:36
 */
export interface MonitorRuleIndicators {
    /**
    * 主键
    * @type { string }
    */
    id?: string;
    /**
    * 指标编码
    * @type { string }
    */
    indicatorsCode?: string;
    /**
    * 指标名称
    * @type { string }
    */
    indicatorsName?: string;
    /**
    * 指标单位
    * @type { string }
    */
    indicatorsUnit?: string;
    /**
    * create_time
    * @type { Date }
    */
    createTime?: Date;
    /**
    * update_time
    * @type { Date }
    */
    updateTime?: Date;
}
export declare class MonitorRuleIndicatorsMI {
    static get ID(): FieldInfo;
    static get INDICATORS_CODE(): FieldInfo;
    static get INDICATORS_NAME(): FieldInfo;
    static get INDICATORS_UNIT(): FieldInfo;
    static get CREATE_TIME(): FieldInfo;
    static get UPDATE_TIME(): FieldInfo;
}
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-09-15 11:36
 */
export interface MonitorHistoryServiceRel {
    /**
    * 主键
    * @type { string }
    */
    id?: string;
    /**
    * 告警历史id
    * @type { string }
    */
    historyId?: string;
    /**
    * 服务分组id
    * @type { string }
    */
    serviceGroupId?: string;
    /**
    * create_time
    * @type { Date }
    */
    createTime?: Date;
    /**
    * update_time
    * @type { Date }
    */
    updateTime?: Date;
    /**
    * service_project_id
    * @type { string }
    */
    serviceProjectId?: string;
}
export declare class MonitorHistoryServiceRelMI {
    static get ID(): FieldInfo;
    static get HISTORY_ID(): FieldInfo;
    static get SERVICE_GROUP_ID(): FieldInfo;
    static get CREATE_TIME(): FieldInfo;
    static get UPDATE_TIME(): FieldInfo;
    static get SERVICE_PROJECT_ID(): FieldInfo;
}
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-09-15 11:36
 */
export interface MonitorServiceGroup {
    /**
    * 主键
    * @type { string }
    */
    id?: string;
    /**
    * 分组名
    * @type { string }
    */
    groupName?: string;
    /**
    * deleted
    * @type { boolean }
    */
    deleted?: boolean;
    /**
    * create_time
    * @type { Date }
    */
    createTime?: Date;
    /**
    * update_time
    * @type { Date }
    */
    updateTime?: Date;
}
export declare class MonitorServiceGroupMI {
    static get ID(): FieldInfo;
    static get GROUP_NAME(): FieldInfo;
    static get DELETED(): FieldInfo;
    static get CREATE_TIME(): FieldInfo;
    static get UPDATE_TIME(): FieldInfo;
}
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-09-15 11:36
 */
export interface MonitorServiceProject {
    /**
    * 主键
    * @type { string }
    */
    id?: string;
    /**
    * 服务中心编码
    * @type { string }
    */
    serviceCenterCode?: string;
    /**
    * 服务中心名称
    * @type { string }
    */
    serviceCenterName?: string;
    /**
    * 应用编码
    * @type { string }
    */
    appCode?: string;
    /**
    * 应用名称
    * @type { string }
    */
    appName?: string;
    /**
    * env_code
    * @type { string }
    */
    envCode?: string;
    /**
    * project_id
    * @type { string }
    */
    projectId?: string;
    /**
    * project_type
    * @type { string }
    */
    projectType?: string;
    /**
    * pid
    * @type { string }
    */
    pid?: string;
    /**
    * service_group_id
    * @type { string }
    */
    serviceGroupId?: string;
    /**
    * deleted
    * @type { boolean }
    */
    deleted?: boolean;
    /**
    * create_time
    * @type { Date }
    */
    createTime?: Date;
    /**
    * update_time
    * @type { Date }
    */
    updateTime?: Date;
}
export declare class MonitorServiceProjectMI {
    static get ID(): FieldInfo;
    static get SERVICE_CENTER_CODE(): FieldInfo;
    static get SERVICE_CENTER_NAME(): FieldInfo;
    static get APP_CODE(): FieldInfo;
    static get APP_NAME(): FieldInfo;
    static get ENV_CODE(): FieldInfo;
    static get PROJECT_ID(): FieldInfo;
    static get PROJECT_TYPE(): FieldInfo;
    static get PID(): FieldInfo;
    static get SERVICE_GROUP_ID(): FieldInfo;
    static get DELETED(): FieldInfo;
    static get CREATE_TIME(): FieldInfo;
    static get UPDATE_TIME(): FieldInfo;
}
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-09-15 11:36
 */
export interface MonitorRulesettingServiceRel {
    /**
    * 主键
    * @type { string }
    */
    id?: string;
    /**
    * 规则设置id
    * @type { string }
    */
    settingId?: string;
    /**
    * 服务分组id
    * @type { string }
    */
    serviceGroupId?: string;
    /**
    * deleted
    * @type { boolean }
    */
    deleted?: boolean;
    /**
    * create_time
    * @type { Date }
    */
    createTime?: Date;
    /**
    * update_time
    * @type { Date }
    */
    updateTime?: Date;
    /**
    * extend field in MonitorServiceProject
    * 服务中心编码
    * @type { string }
    */
    serviceCenterCode?: string;
    /**
    * extend field in MonitorServiceProject
    * 服务中心名称
    * @type { string }
    */
    serviceCenterName?: string;
    /**
    * extend field in MonitorServiceProject
    * 应用编码
    * @type { string }
    */
    appCode?: string;
    /**
    * extend field in MonitorServiceProject
    * 应用名称
    * @type { string }
    */
    appName?: string;
    /**
    * extend field in MonitorServiceProject
    * env_code
    * @type { string }
    */
    envCode?: string;
    /**
    * extend field in MonitorServiceProject
    * project_id
    * @type { string }
    */
    projectId?: string;
    /**
    * extend field in MonitorServiceProject
    * project_type
    * @type { string }
    */
    projectType?: string;
    /**
    * extend field in MonitorServiceProject
    * pid
    * @type { string }
    */
    pid?: string;
    /**
    * extend field in MonitorServiceProject
    * 主键
    * @type { string }
    */
    serviceProjectId?: string;
    /**
    * 数据状态
    * @type { DataState }
    */
    _state?: DataState;
}
export declare class MonitorRulesettingServiceRelMI {
    static get ID(): FieldInfo;
    static get SETTING_ID(): FieldInfo;
    static get SERVICE_GROUP_ID(): FieldInfo;
    static get DELETED(): FieldInfo;
    static get CREATE_TIME(): FieldInfo;
    static get UPDATE_TIME(): FieldInfo;
    static get SERVICE_CENTER_CODE(): FieldInfo;
    static get SERVICE_CENTER_NAME(): FieldInfo;
    static get APP_CODE(): FieldInfo;
    static get APP_NAME(): FieldInfo;
    static get ENV_CODE(): FieldInfo;
    static get PROJECT_ID(): FieldInfo;
    static get PROJECT_TYPE(): FieldInfo;
    static get PID(): FieldInfo;
    static get SERVICE_PROJECT_ID(): FieldInfo;
}
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-09-15 11:36
 */
export interface SysUser {
    /**
    * ID
    * @type { string }
    */
    id?: string;
    /**
    * 姓名
    * @type { string }
    */
    name?: string;
    /**
    * 邮箱地址
    * @type { string }
    */
    email?: string;
    /**
    * 昵称
    * @type { string }
    */
    nickname?: string;
    /**
    * 用户头像
    * @type { string }
    */
    avatar?: string;
    /**
    * 是否超级用户
    * @type { boolean }
    */
    isAdmin?: boolean;
    /**
    * 登录密码
    * @type { string }
    */
    password?: string;
    /**
    * 00 正常，01：失效
    * @type { string }
    */
    status?: string;
    /**
    * 电话
    * @type { string }
    */
    phone?: string;
    /**
    * 企业微信用户ID
    * @type { string }
    */
    wxUserId?: string;
    /**
    * 科拓统一登录用户ID
    * @type { string }
    */
    ktUserId?: string;
    /**
    * API秘钥
    * @type { string }
    */
    apiKey?: string;
    /**
    * 部门名称
    * @type { string }
    */
    departmentName?: string;
    /**
    * REMARK
    * @type { string }
    */
    remark?: string;
    /**
    * 创建时间
    * @type { Date }
    */
    createTime?: Date;
    /**
    * 更新时间
    * @type { Date }
    */
    updateTime?: Date;
}
export declare class SysUserMI {
    static get ID(): FieldInfo;
    static get NAME(): FieldInfo;
    static get EMAIL(): FieldInfo;
    static get NICKNAME(): FieldInfo;
    static get AVATAR(): FieldInfo;
    static get IS_ADMIN(): FieldInfo;
    static get PASSWORD(): FieldInfo;
    static get STATUS(): FieldInfo;
    static get PHONE(): FieldInfo;
    static get WX_USER_ID(): FieldInfo;
    static get KT_USER_ID(): FieldInfo;
    static get API_KEY(): FieldInfo;
    static get DEPARTMENT_NAME(): FieldInfo;
    static get REMARK(): FieldInfo;
    static get CREATE_TIME(): FieldInfo;
    static get UPDATE_TIME(): FieldInfo;
}
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-09-15 11:36
 */
export interface MonitorRulesettingContactRel {
    /**
    * 主键
    * @type { string }
    */
    id?: string;
    /**
    * 规则设置id
    * @type { string }
    */
    settingId?: string;
    /**
    * 联系组id
    * @type { string }
    */
    contactGroupId?: string;
    /**
    * deleted
    * @type { boolean }
    */
    deleted?: boolean;
    /**
    * create_time
    * @type { Date }
    */
    createTime?: Date;
    /**
    * update_time
    * @type { Date }
    */
    updateTime?: Date;
    /**
    * extend field in MonitorContactGroupRel
    * 电话
    * @type { string }
    */
    contactPhone?: string;
    /**
    * extend field in MonitorContactGroupRel
    * 联系人id
    * @type { string }
    */
    contactId?: string;
    /**
    * 数据状态
    * @type { DataState }
    */
    _state?: DataState;
}
export declare class MonitorRulesettingContactRelMI {
    static get ID(): FieldInfo;
    static get SETTING_ID(): FieldInfo;
    static get CONTACT_GROUP_ID(): FieldInfo;
    static get DELETED(): FieldInfo;
    static get CREATE_TIME(): FieldInfo;
    static get UPDATE_TIME(): FieldInfo;
    static get CONTACT_PHONE(): FieldInfo;
    static get CONTACT_ID(): FieldInfo;
}
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-09-15 11:36
 */
export interface MonitorRuleSetting {
    /**
    * 主键
    * @type { string }
    */
    id?: string;
    /**
    * 模板名称
    * @type { string }
    */
    templateId?: string;
    /**
    * 报警级别
    * @type { string }
    */
    alarmLevel?: string;
    /**
    * 是否启用
    * @type { boolean }
    */
    enable?: boolean;
    /**
    * deleted
    * @type { boolean }
    */
    deleted?: boolean;
    /**
    * 是否变更
    * @type { boolean }
    */
    changed?: boolean;
    /**
    * create_time
    * @type { Date }
    */
    createTime?: Date;
    /**
    * update_time
    * @type { Date }
    */
    updateTime?: Date;
    /**
    * extend field in MonitorRuleTemplate
    * 模板名称
    * @type { string }
    */
    templateName?: string;
    /**
    * extend field in MonitorRuleTemplate
    * 指标编码
    * @type { string }
    */
    indicatorsCode?: string;
    /**
    * extend field in MonitorRuleTemplate
    * 周期
    * @type { number }
    */
    period?: number;
    /**
    * extend field in MonitorRuleTemplate
    * 统计项目
    * @type { string }
    */
    statistics?: string;
    /**
    * extend field in MonitorRuleTemplate
    * 大小关系
    * @type { string }
    */
    relation?: string;
    /**
    * extend field in MonitorRuleTemplate
    * 阈值
    * @type { string }
    */
    threshold?: string;
    /**
    * 子表 MonitorRulesettingServiceRel
    * @type { MonitorRulesettingServiceRel[] }
    */
    monitorRulesettingServiceRel?: MonitorRulesettingServiceRel[];
    /**
    * 子表 MonitorRulesettingContactRel
    * @type { MonitorRulesettingContactRel[] }
    */
    monitorRulesettingContactRel?: MonitorRulesettingContactRel[];
    /**
    * 数据状态
    * @type { DataState }
    */
    _state?: DataState;
}
export declare class MonitorRuleSettingMI {
    static get ID(): FieldInfo;
    static get TEMPLATE_ID(): FieldInfo;
    static get ALARM_LEVEL(): FieldInfo;
    static get ENABLE(): FieldInfo;
    static get DELETED(): FieldInfo;
    static get CHANGED(): FieldInfo;
    static get CREATE_TIME(): FieldInfo;
    static get UPDATE_TIME(): FieldInfo;
    static get TEMPLATE_NAME(): FieldInfo;
    static get INDICATORS_CODE(): FieldInfo;
    static get PERIOD(): FieldInfo;
    static get STATISTICS(): FieldInfo;
    static get RELATION(): FieldInfo;
    static get THRESHOLD(): FieldInfo;
}
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-09-15 11:36
 */
export interface MonitorRuleTemplate {
    /**
    * 主键
    * @type { string }
    */
    id?: string;
    /**
    * 模板名称
    * @type { string }
    */
    templateName?: string;
    /**
    * 描述
    * @type { string }
    */
    remark?: string;
    /**
    * 指标编码
    * @type { string }
    */
    indicatorsCode?: string;
    /**
    * 周期
    * @type { number }
    */
    period?: number;
    /**
    * 统计项目
    * @type { string }
    */
    statistics?: string;
    /**
    * 大小关系
    * @type { string }
    */
    relation?: string;
    /**
    * 阈值
    * @type { string }
    */
    threshold?: string;
    /**
    * deleted
    * @type { boolean }
    */
    deleted?: boolean;
    /**
    * create_time
    * @type { Date }
    */
    createTime?: Date;
    /**
    * update_time
    * @type { Date }
    */
    updateTime?: Date;
}
export declare class MonitorRuleTemplateMI {
    static get ID(): FieldInfo;
    static get TEMPLATE_NAME(): FieldInfo;
    static get REMARK(): FieldInfo;
    static get INDICATORS_CODE(): FieldInfo;
    static get PERIOD(): FieldInfo;
    static get STATISTICS(): FieldInfo;
    static get RELATION(): FieldInfo;
    static get THRESHOLD(): FieldInfo;
    static get DELETED(): FieldInfo;
    static get CREATE_TIME(): FieldInfo;
    static get UPDATE_TIME(): FieldInfo;
}
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-09-15 11:36
 */
export interface MonitorRuleRunLog {
    /**
    * 主键
    * @type { string }
    */
    id?: string;
    /**
    * 监控设置ID
    * @type { string }
    */
    settingId?: string;
    /**
    * 持续异常次数
    * @type { number }
    */
    errorCount?: number;
    /**
    * create_time
    * @type { Date }
    */
    createTime?: Date;
    /**
    * update_time
    * @type { Date }
    */
    updateTime?: Date;
    /**
    * template_id
    * @type { string }
    */
    templateId?: string;
    /**
    * template_threshold
    * @type { string }
    */
    templateThreshold?: string;
    /**
    * project_id
    * @type { string }
    */
    projectId?: string;
    /**
    * pid
    * @type { string }
    */
    pid?: string;
    /**
    * project_version
    * @type { string }
    */
    projectVersion?: string;
    /**
    * pod_id
    * @type { string }
    */
    podId?: string;
    /**
    * 最后执行时间
    * @type { Date }
    */
    lastRunTime?: Date;
    /**
    * 下次执行时间
    * @type { Date }
    */
    nextRunTime?: Date;
    /**
    * project_desc
    * @type { string }
    */
    projectDesc?: string;
    /**
    * 异常指标值
    * @type { string }
    */
    actualAlertValue?: string;
    /**
    * 最近告警时间
    * @type { Date }
    */
    lastAlertTime?: Date;
    /**
    * 下次告警时间
    * @type { Date }
    */
    nextAlertTime?: Date;
    /**
    * 告警次数
    * @type { number }
    */
    alertCount?: number;
    /**
    * service_group_id
    * @type { string }
    */
    serviceGroupId?: string;
    /**
    * project_type
    * @type { string }
    */
    projectType?: string;
}
export declare class MonitorRuleRunLogMI {
    static get ID(): FieldInfo;
    static get SETTING_ID(): FieldInfo;
    static get ERROR_COUNT(): FieldInfo;
    static get CREATE_TIME(): FieldInfo;
    static get UPDATE_TIME(): FieldInfo;
    static get TEMPLATE_ID(): FieldInfo;
    static get TEMPLATE_THRESHOLD(): FieldInfo;
    static get PROJECT_ID(): FieldInfo;
    static get PID(): FieldInfo;
    static get PROJECT_VERSION(): FieldInfo;
    static get POD_ID(): FieldInfo;
    static get LAST_RUN_TIME(): FieldInfo;
    static get NEXT_RUN_TIME(): FieldInfo;
    static get PROJECT_DESC(): FieldInfo;
    static get ACTUAL_ALERT_VALUE(): FieldInfo;
    static get LAST_ALERT_TIME(): FieldInfo;
    static get NEXT_ALERT_TIME(): FieldInfo;
    static get ALERT_COUNT(): FieldInfo;
    static get SERVICE_GROUP_ID(): FieldInfo;
    static get PROJECT_TYPE(): FieldInfo;
}
